# 🌐 Mundo: i18n with Gettext for Rails

It's time for Rails to join the rest of the programming community with the internationalizaton / localization standard: Gettext. This library brings together the best practices of existing gems, code snippets floating around the internet for i18n, and fuses them into one modern library for getting your app delivered in multiple languages.

## Why?

* What's wrong with YML?
* Stats on international users of sites
* Difficulty with i18n approaches

## Goals

* Push Rails forward to adopting Gettext, a well-known programming community standard
* Provide a "golden path" for shipping multiple-language apps with Rails
* Build on the translation infrastructure that exists in the Ruby community where possible

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'mundo'
```

And then execute:

    $ bundle

TODO: Generator for creating files, initializer

## Usage

TODO!

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/chatterbug/mundo.

## Acknowledgements

TODO!

A big thanks to:

* Chatterbug
* Michael Grosser (maintainer of fast_gettext)
* Maintainers of the gettext ruby libraries

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
